Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class LineWidthPopup

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.LineStylesPopup
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.LineWidthPopup

    public class LineWidthPopup

extends LineStylesPopup

The menu-like pop-up widget that allows the user to select a line width.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.LineStylesPopup
`imageMap, selectedItem, shell`

Constructor Summary
`LineWidthPopup(Shell parent)` Constructor for LineWidthPopup.

Method Summary
`int` `getSelectedLineWidth()` Gets the line width the user selected.
`protected void` `initializeImageMap()` Initialize the image map by adding items and images to the imageMap.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.LineStylesPopup
`getSelectedItem, open, open`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineWidthPopup

    public LineWidthPopup(Shell parent)

  Constructor for LineWidthPopup.

  Parameters:
    `parent` - the parent shell.

Method Detail

### initializeImageMap

    protected void initializeImageMap()

  Description copied from class: `LineStylesPopup`
  Initialize the image map by adding items and images to the imageMap.

  Specified by:
    `initializeImageMap` in class `LineStylesPopup`

### getSelectedLineWidth

    public int getSelectedLineWidth()

  Gets the line width the user selected. Could return -1 as the user may cancel the gesture.

  Returns:
    the selected line width or -1.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.